Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.genenet.type
Class Cell

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Molecule
                                          |
                                          +--biouml.standard.type.Cell
                                                |
                                                +--biouml.modules.genenet.type.Cell

public class Cell
extends Cell

Definition of entry for GeneNet 'Cell' table.

Constructor Summary
`Cell(DataCollection origin, String name)`

Methods inherited from class biouml.standard.type.Cell
`getSpecies, getType, setSpecies`

Methods inherited from class biouml.standard.type.Molecule
`getCompleteName, getShortName, getSynonims, getTitle, setCompleteName, setShortName, setSynonims`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cell

    public Cell(DataCollection origin, String name)

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM